CREATE TRIGGER [dbo].[NO_DELETE_TYATAK] ON [dbo].[TYATAK]
FOR DELETE
AS
DECLARE @RC INT
DECLARE @odano nvarchar(50)
declare @yatakno nvarchar(50)

SELECT @RC=COUNT(ODANO) FROM DELETED TYATAK INNER JOIN VWYATIS ON VWYATIS.SUBEID=TYATAK.SUBEID AND TYATAK.ODANO=HYODANO AND TYATAK.YATAKNO=HYYATAKNO

IF @RC > 0
BEGIN
   RAISERROR ('Oda Yatak Tanımı Yatışta Kullanılmış Silinemez', 16, 1)
   ROLLBACK TRANSACTION
END
GO

/*
triger pasif hale getirmek için
ALTER TABLE [dbo].[TYATAK] disable TRIGGER [NO_DELETE_TYATAK]
GO

triger aktif hale getirmek için
ALTER TABLE [dbo].[TYATAK] ENABLE TRIGGER [NO_DELETE_TYATAK]
GO

*/